using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Bp.Sync.Domain.Entities.BaseEntities
{
    public class BaseEntityByGuid : BaseEntity
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public Guid Key { get; set; }

        public int? CreatedBy { get; set; }

        [MaxLength(150)]
        public string CreatedByUserName { get; set; }

        public int? UpdatedBy { get; set; }

        [MaxLength(150)]
        public string UpdatedByUserName { get; set; }
    }
}
